clan::AudioDefinition Class Reference - ClanLib SDK
Description: clan::AudioDefinition Class Reference

Public Member Functions | List of all members
clan::AudioDefinition Class Reference

`#include <audio_definition.h>`

## Public Member Functions
| AudioDefinition ()
float | get_attenuation_begin () const
float | get_attenuation_end () const
std::string | get_sound_id () const
float | get_volume () const
bool | is_ambience () const
bool | is_looping () const
bool | is_null () const
void | set_ambience (bool ambience)
void | set_attenuation_begin (float distance)
void | set_attenuation_end (float distance)
void | set_looping (bool loop)
void | set_sound_id (const std::string &id)
void | set_volume (float volume)

## Constructor & Destructor Documentation

## ◆ AudioDefinition()

clan::AudioDefinition::AudioDefinition | ( |  | ) |

## Member Function Documentation

## ◆ get_attenuation_begin()

float clan::AudioDefinition::get_attenuation_begin | ( |  | ) | const

## ◆ get_attenuation_end()

float clan::AudioDefinition::get_attenuation_end | ( |  | ) | const

## ◆ get_sound_id()

std::string clan::AudioDefinition::get_sound_id | ( |  | ) | const

## ◆ get_volume()

float clan::AudioDefinition::get_volume | ( |  | ) | const

## ◆ is_ambience()

bool clan::AudioDefinition::is_ambience | ( |  | ) | const

## ◆ is_looping()

bool clan::AudioDefinition::is_looping | ( |  | ) | const

## ◆ is_null()

bool clan::AudioDefinition::is_null | ( |  | ) | const
| inline

## ◆ set_ambience()

void clan::AudioDefinition::set_ambience | ( | bool | ambience | ) |

## ◆ set_attenuation_begin()

void clan::AudioDefinition::set_attenuation_begin | ( | float | distance | ) |

## ◆ set_attenuation_end()

void clan::AudioDefinition::set_attenuation_end | ( | float | distance | ) |

## ◆ set_looping()

void clan::AudioDefinition::set_looping | ( | bool | loop | ) |

## ◆ set_sound_id()

void clan::AudioDefinition::set_sound_id | ( | const std::string & | id | ) |

## ◆ set_volume()

void clan::AudioDefinition::set_volume | ( | float | volume | ) |

The documentation for this class was generated from the following file:

- audio_definition.h